TAAS - Feature #305

Assets Master
02/12/2024 10:36 AM - Junaid M

Status: Reopen Bugs Coding Done Start date: 02/12/2024
Priority: Normal Due date:

Assignee: aryamol Vh % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Assets Master

Description

Coding Assets Master

History

#1 - 02/12/2024 12:56 PM - Greeshma S
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 02/20/2024 11:45 AM - Junaid M
GUI CHANGES

-> Purchase A/C* to Main Ledger*

—> Accu.Depr A/C* to AD Ledger* (Title=Accumulated Depreciation Account) with CHECKBOX (Title=Tick to change)

-> Depreciation A/C* to Deprc. Ledger* (Title=Depreciation Account) with CHECKBOX (Title=Tick to change)

-> Add 'Code Prefix*' entry box (Title=Sequence Code Generation Perfix for Assets purchase) after 'Depreciatio

n %'

—> Add 'Display Name' after Code|Name (like Customer Master)

-> Add 'Group', 'Type', 'Category', and 'Family', after 'Display Name' (like Customer Master)
—> Add 'Remarks' Textarea

-> Add 'Status*' (like Customer Master)

-> Add 'Approval Status*' (like Customer Master)

—> Remove 'Residual Value' checkbox

—> Add 'Depreciation Based On' Selectbox (Purchase Value (Default), Current Value)

—> Assets List Columns

[

- # | Code | Name | Main Ledger | Code Prefix | Depreciation % | Remarks | Edit Icon

#3 - 02/24/2024 09:32 AM - Anonymous

done

#4 - 02/24/2024 09:34 AM - Greeshma S

gui change done

#5 - 03/07/2024 04:42 PM - Junaid M
- Status changed from Coding Started to New
- % Done changed from 30 to 0

#6 - 06/20/2024 04:36 PM - Anonymous

- Assignee changed from Greeshma S to travvise Admin

#7 - 08/01/2024 03:19 PM - Anil KV
GUI CHange:-
—->Code Prefix Add a checkbox(like AD Ledger), Title:- Tick then Add Purchase Branch Code Before Code Prefix, I
ts Not good because assets move to another branch.
->Privilege To* like Customer GUI

Workflow:-

* Like Customer

->Depreciation Based On -> Default data based on Admin Settings->Assets->Depreciation Based On

—>Depreciation Based On -> Disable (Editable or not) based on Admin Settings->Assets->Allow Change Depreciation
Based On change in Assets Master

->Depreciation %* -> Disable (Editable or not) based on Admin Settings->Assets->Allow to change Depreciation %
in Assets Master after Depreciation

—-> AD Ledger* and Deprc. Ledger*

- Disable (Editable or not) [Disable Checkbox and Untick] based on Admin Settings->Assets->Assets wise Change Ac
cumulated Depreciation and Depreciation Account

— Default Data(Untick case) - Mapping Accounts->Assets—>

*Change Checkbox untick then not save the values

->sin_ac_category = 23

Tables:-

- accounts.tbl_account
*sin_ac_category=23 = Assets Master Accounts
—assets.tbl_assets_master

#8 - 08/01/2024 04:24 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#9 - 08/02/2024 10:44 AM - Anonymous

- Assignee changed from travvise Admin to Nithin PM

#10 - 08/06/2024 12:42 PM - Junaid M
- File Assets-Master-Solution-Files.zip added

#11 - 08/07/2024 11:18 AM - Anonymous
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#12 - 08/07/2024 11:40 AM - Nithin PM
- Status changed from Coding Started to Ready for Coding
- % Done changed from 30 to 20

#13 - 08/07/2024 11:40 AM - Nithin PM
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#14 - 08/19/2024 11:51 AM - Nithin PM
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#15 - 08/19/2024 03:57 PM - Arathy PS

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Arathy PS

ISSUE FOUND:

1)AFTER UNTICKING THE LEDGER FIELD, ENTER A VALUE IN LEDGER FIELD THEN THE LAST SAVED WITH TICK MARK SHOULD BE THE
VALUE PRESENT

2)DEPRECIATION % VALUE SHOULD BE ABLE TO EDIT

3)DEFAULT VALUE IN LEDGER SHOULD NOT BE ABLE TO CHANGE WITHOUT TICK MARK
4)TRANSLATION IN THE GRID

#16 - 08/23/2024 03:03 PM - Anil KV
- Status changed from Reopen Bugs to Ready for Coding
- % Done changed from 50 to 20

#17 - 08/28/2024 02:34 PM - Anonymous
- Status changed from Ready for Coding to Reopen Bugs Coding Done
- % Done changed from 20 to 70

#18 - 08/28/2024 03:23 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#19 - 08/28/2024 03:23 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#20 - 08/28/2024 03:40 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Arathy PS to unnikannan S

ISSUE FOUNDED

1.Validate Deletion Of Asset Master In Case lts Used In Asset Item
2.Missing Currency validation

#21 - 09/20/2024 06:33 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 11/04/2024 12:35 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.Deleted assets are still showing in the Ul and disappears only after refreshing.
2.Data not showing in the Deprc. done on asset value/% field on edit mode/ when saving.

#23 - 11/06/2024 09:44 AM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#24 - 11/08/2024 02:43 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Not showing saved data on depreciation done on asset value/% in edit mode.

2. When on edit mode of asset master depreciation done on asset value itself switches to depreciation done on asset %.

3. Make depreciation % per year mandatory with red star.

4. Make depreciation % per year enabled by default and should be disabled on edit mode of asset master. Allow to edit depreciation % on edit mode
based on admin settings.

5. Depreciation ledger field gets enabled when data is saved and also in edit mode.
#25 - 11/12/2024 06:51 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#26 - 12/14/2024 02:40 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. The tick mark at Depreciation % Per Year gets removed on edit mode.
2. Valu get missing in Deprc. Done On Asset % on edit mode.

#27 - 12/18/2024 09:45 AM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#28 - 12/18/2024 10:26 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#29 - 12/18/2024 11:34 AM - Theja Ponon
- File clipboard-202412181134-vjzym.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)VALUE IS NOT CLEARING ON NEW

Travvise Assets Master
RAVEL SOLUTION PVT LTD
Code|Name™ Deprc. Ledger® ALDO2 ACM Expected
Display Name™ Depreciation Based On | pyrchase Value(Straight Line Depreciation Method) ™
Main Ledger™ A Depreciation % Per Year™ 0.0
g
Currency™ QAR - QAR v Deprc. Done On Asset %~ 10.00
Group™ v Type* v Remarks
P
Category™ v Family™ ~ Itern Code Prefix
Privilege To™ a Admin Management 4 more -
Status® | Active ~
Approval Status™ | Active v By
Created By:
Modified By:

#30 - 12/18/2024 06:27 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#31 - 12/19/2024 10:18 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#32 - 12/19/2024 10:55 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50
ISSUE FOUND

1)ADD VALIDATION ON UPDATION WITHOUT CODE

#33 - 12/19/2024 04:24 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#34 - 12/20/2024 02:00 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#35 - 04/05/2025 03:18 PM - Arathy PS
- Assignee changed from Nithin PM to aryamol Vh

#36 - 04/05/2025 03:20 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Even if ticked or unticked the checkbox near depreciation it's not affecting asset purchase.
2. Account group ID's not entering in account table.

#37 - 04/08/2025 12:30 PM - aryamol Vh
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#38 - 04/08/2025 02:28 PM - aryamol Vh
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#39 - 04/08/2025 05:46 PM - aryamol Vh
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files
Assets-Master-Solution-Files.zip 11.4 KB 08/06/2024 Junaid M
clipboard-202412181134-vjzym.png 75.5 KB 12/18/2024 Theja Ponon
